Multivariate Pattern Analysis in Python

# mvpa2.featsel.helpers.MultiStopCrit

class `mvpa2.featsel.helpers.``MultiStopCrit`(crits, mode='or')

  Stop computation if the latest error drops below a certain threshold.

  Methods

  `__call__`(errors) | Evaluate all criteria to determine the value of the multi criterion.

  Parameters:

  crits : list of StoppingCriterion instances

  > For each call to MultiStopCrit all of these criterions will be evaluated.

  mode : {‘and’, ‘or’}

  > Logical function to determine the multi criterion from the set of base criteria.

  Methods

  `__call__`(errors) | Evaluate all criteria to determine the value of the multi criterion.